<?php
namespace Controller;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource;
use Util\Instance\ServiceInstance;
class Sequence {

    public function findSequence(DTO\Request\Filter $request, DTO\Response $response)
    {
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
        $filters = $request->getFilterCriteria()->getConditions();
        $trigger = ServiceInstance::getSequence()->findSequence($filters, $page, $pageSize);
        $response->addDataSet(new DataSource\DataSet('trigger', $trigger));
    }
}

